import { ComponentFixture, TestBed } from '@angular/core/testing';
import { CreateCalendarRuleComponent } from './create-calendar-rule.component';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';
import { HttpClientModule } from '@angular/common/http'; // Importar HttpClientModule
import { provideHttpClientTesting } from '@angular/common/http/testing'; // Importar el nuevo método
import { MatDialogModule } from '@angular/material/dialog'; 
import { MatFormFieldModule } from '@angular/material/form-field'; 
import { MatInputModule } from '@angular/material/input'; 
import { MatCheckboxModule } from '@angular/material/checkbox'; 
import { MatSlideToggleModule } from '@angular/material/slide-toggle'; 
import { MatDatepickerModule } from '@angular/material/datepicker'; 
import { MatNativeDateModule } from '@angular/material/core'; 

describe('CreateCalendarRuleComponent', () => {
  let component: CreateCalendarRuleComponent;
  let fixture: ComponentFixture<CreateCalendarRuleComponent>;
  let dialogRefMock: any;
  let toastrServiceMock: any;

  beforeEach(async () => {
    dialogRefMock = {
      close: jasmine.createSpy('close')
    };

    toastrServiceMock = {
      success: jasmine.createSpy('success'),
      error: jasmine.createSpy('error')
    };

    await TestBed.configureTestingModule({
      imports: [
        HttpClientModule, // Importar el módulo HttpClient
        MatDialogModule,
        MatFormFieldModule,
        MatInputModule,
        MatCheckboxModule,
        MatSlideToggleModule,
        MatDatepickerModule,
        MatNativeDateModule
      ],
      declarations: [CreateCalendarRuleComponent],
      providers: [
        provideHttpClientTesting(), // Usar el nuevo método para pruebas de HttpClient
        { provide: MatDialogRef, useValue: dialogRefMock },
        { provide: MAT_DIALOG_DATA, useValue: {} },
        { provide: ToastrService, useValue: toastrServiceMock },
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(CreateCalendarRuleComponent);
    component = fixture.componentInstance;
  });

  it('should create the component', () => {
    expect(component).toBeTruthy();
  });
});
