import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-classroom-view-dialog',
  template: `
  <h2 mat-dialog-title>Plano de {{ classroomName }}</h2>
  <app-classroom-view [clients]="data.clients"></app-classroom-view>
  `,
  styles: [`
    mat-dialog-content {
      overflow: hidden;
    }
  `]
})
export class ClassroomViewDialogComponent {
  classroomName: string | undefined;

  constructor(@Inject(MAT_DIALOG_DATA) public data: any) {
    console.log('ClassroomViewDialogComponent');
    console.log(data);
  }
  ngOnInit() {
    if (this.data.clients && this.data.clients.length > 0) {
      this.classroomName = this.data.clients[0].organizationalUnit.name;
    } else {
      this.classroomName = 'N/A';
    }
  }



}
