import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA} from "@angular/material/dialog";

@Component({
  selector: 'app-show-organizational-unit',
  templateUrl: './show-organizational-unit.component.html',
  styleUrl: './show-organizational-unit.component.css'
})
export class ShowOrganizationalUnitComponent {

  displayedColumns: string[] = ['property', 'value'];

  generalData = [
    { property: 'Nombre', value: this.data.data.name },
    { property: 'Uuid', value: this.data.data.uuid },
    { property: 'Descripción', value: this.data.data.description },
    { property: 'Comentarios', value: this.data.data.comments },
    { property: 'Tipo', value: this.data.data.type },
    { property: 'Unidad organizativa superior', value: this.data.data.parent ? this.data.data.parent.name : '-' },
    { property: 'Creado por', value: this.data.data.createdBy },
    { property: 'Creado el', value: this.data.data.createdAt }
  ];

  networkData = [
    { property: 'Localización', value: this.data.data.location },
    { property: 'Proyector', value: this.data.data.projector ? 'Sí' : 'No' },
    { property: 'Pizzarra', value: this.data.data.board ? 'Sí' : 'No' },
    { property: 'Aforo', value: this.data.data.capacity },
    { property: 'Url servidor proxy', value: this.data.data.networkSettings ? this.data.data.networkSettings.proxy : '' },
    { property: 'IP DNS', value: this.data.data.networkSettings ? this.data.data.networkSettings.dns : '' },
    { property: 'Máscara de red', value: this.data.data.networkSettings ? this.data.data.networkSettings.netmask : '' },
    { property: 'Router', value: this.data.data.networkSettings ? this.data.data.networkSettings.router : '' },
    { property: 'NTP', value: this.data.data.networkSettings ? this.data.data.networkSettings.ntp : '' },
    { property: 'Modo p2p', value: this.data.data.networkSettings ? this.data.data.networkSettings.p2pMode : '' },
    { property: 'Tiempo p2p', value: this.data.data.networkSettings ? this.data.data.networkSettings.p2pTime : '' },
    { property: 'IP multicast', value: this.data.data.networkSettings ? this.data.data.networkSettings.mcastIp : '' },
    { property: 'Modo multicast', value: this.data.data.networkSettings ? this.data.data.networkSettings.mcastMode : '' },
    { property: 'Puerto multicast', value: this.data.data.networkSettings ? this.data.data.networkSettings.mcastPort : '' },
    { property: 'Velocidad multicast', value: this.data.data.networkSettings ? this.data.data.networkSettings.mcastSpeed : '' },
    { property: 'Perfil hardware', value: this.data.data.networkSettings && this.data.data.networkSettings.hardwareProfile ? this.data.data.networkSettings.hardwareProfile.description : '' },
    { property: 'Menú', value: this.data.data.networkSettings && this.data.data.networkSettings.menu ? this.data.data.networkSettings.menu.description : '' }
  ];

  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any // Inject data for edit mode
  ) {
    console.log(this.data)
  }
}
