import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatDialogRef } from '@angular/material/dialog';
import { SaveFiltersDialogComponent } from './save-filters-dialog.component';
import { ReactiveFormsModule } from '@angular/forms';

describe('SaveFiltersDialogComponent', () => {
  let component: SaveFiltersDialogComponent;
  let fixture: ComponentFixture<SaveFiltersDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [SaveFiltersDialogComponent],
      imports: [ReactiveFormsModule],
      providers: [
        { provide: MatDialogRef, useValue: { close: jasmine.createSpy('close') } }
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(SaveFiltersDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should close dialog with null on cancel', () => {
    component.onCancel();
    expect(component.dialogRef.close).toHaveBeenCalledWith(null);
  });

  it('should close dialog with filter name on save', () => {
    component.filterNameControl.setValue('Test Filter');
    component.onSave();
    expect(component.dialogRef.close).toHaveBeenCalledWith('Test Filter');
  });

  it('should not close dialog if filter name is invalid', () => {
    component.filterNameControl.setValue('');
    component.onSave();
    expect(component.dialogRef.close).not.toHaveBeenCalled();
  });
});
