import { Component, Inject } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-info-image',
  templateUrl: './info-image.component.html',
  styleUrls: ['./info-image.component.css']
})
export class InfoImageComponent {
  name: string;
  downloadUrl: string;

  constructor(
    private toastService: ToastrService,
    private http: HttpClient,
    public dialogRef: MatDialogRef<InfoImageComponent>,
    @Inject(MAT_DIALOG_DATA) public data: { name: string, downloadUrl: string, uuid: string }
  ) {
    this.name = data.name;
    this.downloadUrl = data.downloadUrl;
  }

  onNoClick(): void {
    this.dialogRef.close();
  }
}
