import { HttpClient } from '@angular/common/http';
import { Component, Inject, OnInit } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-create-subnet',
  templateUrl: './create-subnet.component.html',
  styleUrls: ['./create-subnet.component.css']
})
export class CreateSubnetComponent implements OnInit {
  baseUrl: string = import.meta.env.NG_APP_BASE_API_URL;
  name: string = '';
  netmask: string = '';
  ipAddress: string = '';
  nextServer: string = '';
  bootFileName: string = '';

  constructor(
    private toastService: ToastrService,
    private http: HttpClient,
    public dialogRef: MatDialogRef<CreateSubnetComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) { }

  ngOnInit(): void {
    
  }

  onNoClick(): void {
    this.dialogRef.close();
  }

  addNetworkConfig(): void {
    const payload = {
      name: this.name,
      netmask: this.netmask,
      ipAddress: this.ipAddress,
      nextServer: this.nextServer,
      bootFileName: this.bootFileName
    };

    this.http.post(`${this.baseUrl}/subnets`, payload)
      .subscribe({
        next: (response) => {
          console.log('Success:', response);
          this.toastService.success('Configuración de red añadida exitosamente');
          this.dialogRef.close(); 
        },
        error: (error) => {
          console.error('Error:', error);
          this.toastService.error('Error al añadir la configuración de red');
        }
      });
  }
}
