import { Injectable } from '@angular/core';
import { HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable()
export class CustomInterceptor implements HttpInterceptor {
  constructor() { }

  intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
    const token = localStorage.getItem('loginToken');
    let newCloneRequest;

    if (req.url.includes('login')) {
      newCloneRequest = req.clone({
        setHeaders: {
          Authorization: `${token}`
        }
      });
    } else {
      newCloneRequest = req.clone({
        setHeaders: {
          Authorization: `Bearer ${token}`
        }
      });
    }

    return next.handle(newCloneRequest);
  }
}
